<?php


namespace AutoAdmin\Bundle\BrickBuilder\Brick\Config;


use AutoAdmin\Bundle\BrickBuilder\Model\Setting;

class BrickConfiguration
{
    private array $options;
    /**
     * @var array<Setting>
     */
    private array $settings;

    public function __construct(array $options, array $settings)
    {
        $this->options = $options;
        $this->settings = $settings;
    }

    public function getTemplate()
    {
        return $this->options['_template'];
    }

    public function getCategory()
    {
        return $this->options['_category'];
    }

    public function getNature()
    {
        return $this->options['_nature'];
    }

    public function getAllowedIn()
    {
        return $this->options['_allowed_in'];
    }

    public function hasForm(): bool
    {
        return $this->options['_has_form'] === true;
    }

    /**
     * @return Setting[]
     */
    public function getSettings(): array
    {
        return $this->settings;
    }

    public function getOptions(): array
    {
        return $this->options;
    }
}